:main
ECHO OFF
cls
ECHO.
ECHO:    Memory utility
ECHO.
ECHO:      Select 1-5
ECHO.
ECHO:   1) More Memory
ECHO:   2) Normal Memory
ECHO:   3) Back-up your old autoexec.bat 
ECHO:      and config.sys
ECHO:   4) Check available memory
ECHO:   5) Quit
ECHO.
ECHO.
ECHO: (C)Copyright Codetech Software 2002
choice /C:12345 /n /s > nul

if errorlevel 5 goto quit
if errorlevel 4 goto memorycheck
if errorlevel 3 goto backup
if errorlevel 2 goto normal
if errorlevel 1 goto more

:more
cls
ECHO:   Rename Autoexec.bat and Config.sys [Y/N] ?
choice /C:yn /n /s
if errorlevel 2 goto main
cls

if not exist c:\autoexec.bat goto error1
if not exist c:\config.sys goto error2

ECHO:   Renaming Autoexec.bat to Backup.bat...
rename c:\autoexec.bat backup.bat
ECHO:  [OK]
ECHO.
ECHO:   Renaming Config.sys to Backup.sys...
rename c:\config.sys backup.sys
ECHO:  [OK]
ECHO.
ECHO: =========================================
ECHO:             Ok it's done!
ECHO: =========================================
ECHO.
ECHO:  You must restart your computer for the
ECHO:  changes to take effect...
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:normal
cls
ECHO:   Rename Backup.bat and Backup.sys [Y/N] ?
choice /C:yn /n /s
if errorlevel 2 goto main
cls

if not exist c:\backup.bat goto error3
if not exist c:\backup.sys goto error4

ECHO:   Renaming Backup.bat to Autoexec.bat...
rename c:\backup.bat autoexec.bat
ECHO:  [OK]
ECHO.
ECHO:   Renaming Backup.sys to Config.sys...
rename c:\backup.sys config.sys
ECHO:  [OK]
ECHO.
ECHO: =========================================
ECHO:             Ok it's done!
ECHO: =========================================
ECHO.
ECHO:  You must restart your computer for the
ECHO:  changes to take effect...
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:error1
cls
if exist c:\backup.bat goto doneallready

ECHO.
ECHO:       Can't find C:\autoexec.bat!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:error2
cls
if exist c:\backup.sys goto doneallready

ECHO.
ECHO:       Can't find C:\config.sys!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:error3
cls
if exist c:\autoexec.bat goto doneallready

ECHO.
ECHO:       Can't find C:\backup.bat!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:error4
cls
if exist c:\config.sys goto doneallready

ECHO.
ECHO:       Can't find C:\backup.sys!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:error5
cls
ECHO.
ECHO:       Can't find C:\autoexec.bat!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:error6
cls
ECHO.
ECHO:       Can't find C:\config.sys!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:doneallready
cls
ECHO.
ECHO:          Allready done that!
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:backup
cls
ECHO:   Make back-ups [Y/N] ?
choice /C:yn /n /s
cls

if errorlevel 2 goto main
if exist c:\backups\autoexec.bat goto doneallready
if exist c:\backups\config.bat goto doneallready
if not exist c:\autoexec.bat goto error5
if not exist c:\config.sys goto error6
if not exist c:\backups md c:\backups

ECHO:  Copying C:\Autoexec.bat to C:\Backups\...
xcopy c:\autoexec.bat c:\backups\ >nul
ECHO:  [OK]
ECHO.
ECHO:  Copying Config.sys... to C:\Backups\...
xcopy c:\config.sys c:\backups\ >nul
ECHO:  [OK]
ECHO.
ECHO: =========================================
ECHO:             Ok it's done!
ECHO: =========================================
ECHO.
ECHO: These Back-ups can only be removed manually!
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main

:memorycheck
cls
mem
ECHO.
ECHO:            - Press a Key -
pause > nul
goto main
:quit
cls
ECHO:   Are you sure you want to quit [Y/N] ?
choice /C:yn /n /s
if errorlevel 2 goto main
cls

ECHO:     If you made changes reset your
ECHO:     computer for the changes to take
ECHO:     effect.
ECHO:          - Codetech Software -
ECHO.
ECHO.
ECHO:            - Press a Key -
pause > nul