@ECHO OFF
:main
cls
ECHO.
ECHO.
ECHO.
ECHO.
ECHO:                 Haunted House Launcher
ECHO:                      [ Options ]
ECHO.
ECHO:                 1) Start game
ECHO:                 2) Launch Memory utility
ECHO:                 3) Quit
choice /C:1234 /n /s

if errorlevel 3 goto quit
if errorlevel 2 goto mem_util
if errorlevel 1 goto startgame

:startgame
cls
if not exist Data1.hh1 goto error
if not exist Data2.hh1 goto error
if not exist Data3.hh1 goto error
if not exist Data4.hh1 goto error
if not exist Data5.hh1 goto error
if not exist Data6.hh1 goto error
if not exist Data7.hh1 goto error
if not exist Data8.hh1 goto error
if not exist H_Text.hh1 goto error
if not exist E_Text1.hh1 goto error
if not exist E_Text2.hh1 goto error
if not exist E_Text3.hh1 goto error
if not exist E_Text4.hh1 goto error
if not exist E_Text5.hh1 goto error

Haunted.exe

ECHO.
ECHO.
ECHO.
ECHO:               - Press a key -
pause > nul
goto main

:mem_util
cls
ECHO.
ECHO.
ECHO: Scanning directory for...
ECHO.
ECHO: - Mem_util.bat
if not exist mem_util.bat goto bat_notfound
goto bat_found

:bat_notfound
ECHO:  * File not found! *
ECHO.
ECHO: - Mem_util.zip
if not exist mem_util.zip goto zip_notfound
goto zip_found

:zip_notfound
ECHO:  * File not found! *
ECHO.
ECHO: Couldn't find either "Mem_util.bat" or "Mem_util.zip"!
ECHO: Check your Haunted House zip file for these files.
ECHO.
ECHO.
ECHO:                    - Press a key -
pause > nul
goto main

:bat_found
ECHO: * Ok! *
ECHO.
ECHO: Do you want to launch it now [Y/N]?
choice /C:yn /n /s
if errorlevel 2 goto main

mem_util.bat
ECHO.
ECHO.
ECHO.
ECHO:                     - Press a key -
pause > nul
goto main

:zip_found
ECHO:  * Ok! *
ECHO.
ECHO: Couldn't find "Mem_util.bat" but "Mem_util.zip" was
ECHO: succesfully detected, use your favorite unzip program
ECHO: to unzip the file, and try again.
ECHO.
ECHO.
ECHO:                    - Press a key -
pause > nul
goto main

:error
cls
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO: File(s) missing can't run game!
ECHO: Unzip the missing files from
ECHO: the Haunted House zip file.
ECHO.
ECHO:         - Press a key -
pause > nul
goto main

:quit
cls
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO:                       Bye, Bye!
ECHO.
ECHO.
ECHO:                    - Press a key -
pause > nul